<?php

namespace Drupal\mcapi_credcom;

use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;

/**
 * Miscellaneous request handling.
 */
class Controller extends \Drupal\Core\Controller\ControllerBase {

  function autocomplete(Request $request) {
    $fragment = $request->query->get('q');
    $currency = Functions::currencyLookup($request->attributes->get('mcapi_currency'));
    $node_requester = new TrunkwardNodeRequester($currency);
    $names = $node_requester->accountNameFilter($fragment);
    $abs_path = $currency->getThirdPartySetting('mcapi_credcom', 'absolute_path');
    foreach ($names as &$name) {
      if (strpos($name, $abs_path) === 0) {
        $name = substr($name, strlen($abs_path) + 1);
      }
    }
    return JsonResponse::fromJsonString(json_encode($names));
  }

}
