<?php

namespace Drupal\mcapi\Entity\Query;

use Drupal\Core\Entity\Query\Sql\Query as BaseQuery;

/**
 * Add access control to the wallet query according to the status of the wallet owner.
 */
class WalletQuery extends BaseQuery {

  /**
   * {@inheritDoc}
   *
   * Disallow wallets whose owners are blocked users.
   */
  public function prepare(){
    parent::prepare();
    if ($this->accessCheck) {
      $this->sqlQuery->join(
        'users_field_data',
        'u',
        'base_table.owner = u.uid and u.status = 1'
      );
    }
    return $this;
  }

}
